<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_6596b8f6a4969f9a3f6a1b22" . "b90e9331" => base64_decode("c3ByaW50Zg" . "=="), "_3758af61703e" . "dea17ee38fab1" . "5f99b56" => base64_decode("JyBjYW5ub3QgYmUgc2V0I" . "HdpdGhvdXQgYW4gaW5zdG" . "FuY2Ugb2YgV3JpdGFibGV" . "Db25maWc="), "_44b97fb00c5dc6204a2e8" . "b46429ce109" => base64_decode("aXNfc3RyaW5nYWJsZQ" . "=="), "_490fedd0c33685bd3a" . "92a23dfbdbe38c" => base64_decode("JyBDb25maWdWYWx1ZSB0" . "byBzdHJpbmc="), "_5a13027a56ff426a18806b" . "af1e53ce74" => base64_decode("Q29uZmlnVmFsd" . "WUgJw=="), "_835783a340b626fa250ace4c8" . "d8249f7" => base64_decode("VW5hYmxlIH" . "RvIGNhc3Qg" . "Jw=="));
use RuntimeException;
use UnexpectedValueException;










class ConfigValue
{
    
    
    
    
    private Config $config;
    
    
    
    
    private string $key;
    
    
    
    
    private ?string $pattern;
    
    
    
    
    
    
    
    
    public function __construct(Config $config, string $key, ?string $_84e9b441a0415723346c265202959c32 = null)
    {
        $this->config = $config;
        $this->key = $key;
        $this->setPattern($_84e9b441a0415723346c265202959c32);
    }
    
    
    
    
    
    
    public function getValue()
    {
        return $this->config->get($this->key);
    }
    
    
    
    
    
    
    public function setValue($value)
    {
        if (!$this->config instanceof WritableConfig) {
            throw new RuntimeException($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_5a13027a56f" . "f426a18806ba" . "f1e53ce74"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_3758af61703edea17e" . "e38fab15f99b56"]);
        }
        $this->config->set($this->key, $value);
    }
    
    
    
    
    
    
    public function getPattern() : ?string
    {
        return $this->pattern;
    }
    
    
    
    
    
    
    
    
    public function setPattern(?string $_84e9b441a0415723346c265202959c32)
    {
        $this->pattern = $_84e9b441a0415723346c265202959c32;
    }
    
    
    
    
    
    
    public function getProcessedValue() : string
    {
        $value = $this->getValue();
        if (!$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_44b97fb00c5dc6204a" . "2e8b46429ce109"]($value)) {
            
            
            throw new UnexpectedValueException($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_835783a3" . "40b626fa2" . "50ace4c8d" . "8249f7"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_490fedd0c33685" . "bd3a92a23dfbdbe" . "38c"]);
        }
        if ($this->pattern && $value !== null) {
            $value = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_6596b8f6a4969f9a3f6a1b22b90e933" . "1"]($this->pattern, $value);
        }
        return (string) $value;
    }
    
    
    
    
    
    
    
    
    
    public function __toString() : string
    {
        return $this->getProcessedValue();
    }
}